package cn.com.tenlion.configcontent.pojo.bos.contentdispatch;

/**
 *
 * @ClassName: ContentDispatchBO
 * @Description: CBC内容管理转发记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:35:42
 * @Version: 3.0
 **/
public class ContentDispatchBO {

    private String contentDispatchId;
    private String businessId;
    private String contentDispatchParentId;
    private String contentDispatchUserName;
    private String contentDispatchUserIcon;
    private String contentDispatchDevice;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getContentDispatchId() {
        return contentDispatchId == null ? "" : contentDispatchId.trim();
    }

    public void setContentDispatchId(String contentDispatchId) {
        this.contentDispatchId = contentDispatchId;
    }

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getContentDispatchParentId() {
        return contentDispatchParentId == null ? "" : contentDispatchParentId.trim();
    }

    public void setContentDispatchParentId(String contentDispatchParentId) {
        this.contentDispatchParentId = contentDispatchParentId;
    }

    public String getContentDispatchUserName() {
        return contentDispatchUserName == null ? "" : contentDispatchUserName.trim();
    }

    public void setContentDispatchUserName(String contentDispatchUserName) {
        this.contentDispatchUserName = contentDispatchUserName;
    }

    public String getContentDispatchUserIcon() {
        return contentDispatchUserIcon == null ? "" : contentDispatchUserIcon.trim();
    }

    public void setContentDispatchUserIcon(String contentDispatchUserIcon) {
        this.contentDispatchUserIcon = contentDispatchUserIcon;
    }

    public String getContentDispatchDevice() {
        return contentDispatchDevice == null ? "" : contentDispatchDevice.trim();
    }

    public void setContentDispatchDevice(String contentDispatchDevice) {
        this.contentDispatchDevice = contentDispatchDevice;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
